org.richfaces.fragment.pickList

## Class RichFacesPickList.OrderingListInPickList

- java.lang.Object
- - org.richfaces.fragment.orderingList.AbstractOrderingList
  - - org.richfaces.fragment.pickList.RichFacesPickList.OrderingListInPickList

- All Implemented Interfaces:
    AdvancedInteractions<AbstractOrderingList.AdvancedOrderingListInteractions>, AdvancedVisibleComponentIteractions<AbstractOrderingList.AdvancedOrderingListInteractions>, OrderingList
  Enclosing class:
    RichFacesPickList

      public static class RichFacesPickList.OrderingListInPickList
      extends AbstractOrderingList

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.orderingList.AbstractOrderingList

      `AbstractOrderingList.AdvancedOrderingListInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPickList.OrderingListInPickList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractOrderingList.AdvancedOrderingListInteractions` | `advanced()`

    - ### Methods inherited from class org.richfaces.fragment.orderingList.AbstractOrderingList

      `getOrderingInteraction, getPuttingSelectedItem, select, select, select, selectItem, selectItems, unselectAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPickList.OrderingListInPickList

          public RichFacesPickList.OrderingListInPickList()

  - ### Method Detail

    - #### advanced

          public AbstractOrderingList.AdvancedOrderingListInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractOrderingList.AdvancedOrderingListInteractions>`
      Specified by:
        `advanced` in class `AbstractOrderingList`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.